Strategy Framework
==================

The strategy framework enables creation and management of trading strategies.

Base Strategy
-------------

.. automodule:: src.strategies.base
   :members:
   :undoc-members:
   :show-inheritance:

Strategy Registry
-----------------

.. automodule:: src.strategies.base
   :members: StrategyRegistry
   :undoc-members:
   :show-inheritance:

Technical Strategies
--------------------

RSI Strategy
~~~~~~~~~~~

.. automodule:: src.strategies.technical.rsi_strategy
   :members:
   :undoc-members:
   :show-inheritance:

MACD Strategy
~~~~~~~~~~~~~

.. automodule:: src.strategies.technical.macd_strategy
   :members:
   :undoc-members:
   :show-inheritance:

Moving Average Strategy
~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: src.strategies.technical.moving_avg_strategy
   :members:
   :undoc-members:
   :show-inheritance:

DCA Strategy
~~~~~~~~~~~~

.. automodule:: src.strategies.dca.dca_strategy
   :members:
   :undoc-members:
   :show-inheritance:

Grid Strategy
~~~~~~~~~~~~~

.. automodule:: src.strategies.grid.grid_strategy
   :members:
   :undoc-members:
   :show-inheritance:

Momentum Strategy
~~~~~~~~~~~~~~~~~

.. automodule:: src.strategies.momentum.momentum_strategy
   :members:
   :undoc-members:
   :show-inheritance:

Confirmed Strategy
~~~~~~~~~~~~~~~~~~

.. automodule:: src.strategies.technical.confirmed_strategy
   :members:
   :undoc-members:
   :show-inheritance:

Divergence Strategy
~~~~~~~~~~~~~~~~~~~

.. automodule:: src.strategies.technical.divergence_strategy
   :members:
   :undoc-members:
   :show-inheritance:

Bollinger Mean Reversion Strategy
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: src.strategies.technical.bollinger_mean_reversion
   :members:
   :undoc-members:
   :show-inheritance:

Consensus Strategy (Ensemble)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. automodule:: src.strategies.ensemble.consensus_strategy
   :members:
   :undoc-members:
   :show-inheritance:

Timeframe Manager
-----------------

.. automodule:: src.strategies.timeframe_manager
   :members:
   :undoc-members:
   :show-inheritance:

Strategy Scheduler
----------------

.. automodule:: src.strategies.scheduler
   :members:
   :undoc-members:
   :show-inheritance:

